libxgks2_2.6.1+dfsg.2-5+b1_amd64.deb


Advertisement

Description

libxgks2 - X11 Graphical Kernel Subsystem, library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libxgks2_2.6.1+dfsg.2-5+b1_amd64.deb
Package name libxgks2
Package version 2.6.1+dfsg.2
Package release 5+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://xgks.sourceforge.net
License -
Maintainer Alastair McKinstry <mckinstry@debian.org>
Download size 154.66 KB
Installed size 486.00 KB
XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS)
for use in a Unix environment with the X Window System. It supports the
Fortran language binding and a C language binding based on the 1988 draft.
GKS is a basic graphics system for applications that produce computer
generated two-dimensional pictures on line graphics or raster graphics output
devices.  It supports operator input and interaction by supplying basic
functions for graphical input and picture segmentation and allows storage and
dynamic modification of pictures.  GKS is no longer under active development,
but used in several existing graphical toolkits.
It is not expected that XGKS will gather any _new_ users, but factoring it out
simplifies the size and maintenance of some other packages.

Alternatives

Package Version Architecture Repository
libxgks2_2.6.1+dfsg.2-5+b1_i386.deb 2.6.1+dfsg.2 i386 Debian Main
libxgks2 - - -

Requires

Name Value
libc6 >= 2.15
libgfortran5 >= 8
libx11-6 -
libxgks2-data -

Replaces

Name Value
libxgks2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxgks2_2.6.1+dfsg.2-5+b1_amd64.deb
Source Package xgks

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxgks2 deb package:
    # sudo apt-get install libxgks2

Files

Path
/usr/lib/x86_64-linux-gnu/libudport.so.2
/usr/lib/x86_64-linux-gnu/libudport.so.2.6
/usr/lib/x86_64-linux-gnu/libxgks.so.2
/usr/lib/x86_64-linux-gnu/libxgks.so.2.6
/usr/share/doc/libxgks2/TODO.Debian
/usr/share/doc/libxgks2/changelog.Debian.amd64.gz
/usr/share/doc/libxgks2/changelog.Debian.gz
/usr/share/doc/libxgks2/copyright

Changelog

2017-10-10 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.2-5) unstable; urgency=medium
* For bit-preproducibility, don't add build path to  FORTC_LIBPATH
in fortc script
* Standards-Version: 4.1.1; no changes required
2016-07-08 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.2-4) unstable; urgency=medium
* Add patch that includes fixes from ferret-vis 6.9.3 -> 6.9.6
* Standards-Version: 3.9.8. No changes required
* Remove unnecessary postinst /prerm calls.
2014-10-19 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.2-3) unstable; urgency=medium
* Fix for faulty assertion from Mike Neish. LP# 1244346.
* Standards-Version: 3.9.6, no changes required.
2013-12-19 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.2-2) unstable; urgency=medium
* Move to Standards-Version: 3.9.5 
* Put pkg-config file in multi-arch directory, not /usr/lib/pkgconfig
2013-07-06 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.2-1) unstable; urgency=low
* New DFSG package; remove inqlun.F code copyright IBM that I can't find
anyone in IBM to open-source. Replace with inquire_lun.F that I wrote.
Additional copyright information on other copyright holders
(UCAR, Steve Pemberton, U. Illinois) included in debian/copyright.
Closes: #710244, #699066.
* Put *.a static libraries in m-a directory in -dev package.
2013-05-27 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.1-3) unstable; urgency=low
* Fix Recommends: which points to non-existent package. 
2013-05-20 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.1-2) unstable; urgency=low
* Acknowledge bug properly. Closes: #699066.
* Standards-Version: 3.9.4 
* Move to debhelper 9 for m-a support
* Added fortify support.
* Added libxgks-data package; multi-arch libxgks2
* Removed brace-expansion from install: file.
* Fix nroff errors in manpages.
2013-03-25 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1+dfsg.1-1) unstable; urgency=low
* DFSG-free version, removes code that blocks distribution. 
Closes #699066. 
- new version of inetutils.[ch] with license clarified by author.
- Deletes problematic hershey fonts code.
2011-07-11 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1-3) unstable; urgency=low
* Standards-Version: 3.9.2.
* Add libgfortran link to libxgks.so ; missing symbol.
* Add Hurd,kfreebsd support for fortc (enable xgks on these systems)
* Add DEP-3 tags to patches.
2010-07-14 - Alastair McKinstry <mckinstry@debian.org>
xgks (2.6.1-2) unstable; urgency=low
* Add additional headers needed to build ferret; also move some binaries
from examples/ to usr/bin. Adapted pmel patch from Gentoo (xgks-pmel-2.5)
and included as pmel.patch.
* Add m4 dependency. Closes: #588934.
* Move to Standards-Version: 3.9.0

See Also

Package Description
libxi-dev_1.7.9-1_amd64.deb X11 Input extension library (development headers)
libxi6_1.7.9-1_amd64.deb X11 Input extension library
libxine2-all-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for all plugins
libxine2-bin_1.2.9-1+b2_amd64.deb xine video/media player library – binary files
libxine2-console_1.2.9-1+b2_amd64.deb libaa/libcaca/framebuffer/directfb related plugins for libxine2
libxine2-dev_1.2.9-1+b2_amd64.deb xine video player library – development packages
libxine2-doc_1.2.9-1_all.deb xine video player library – documentation files
libxine2-ffmpeg_1.2.9-1+b2_amd64.deb MPEG-related plugins for libxine2
libxine2-gnome_1.2.9-1+b2_amd64.deb GNOME-related plugins for libxine2
libxine2-misc-plugins_1.2.9-1+b2_amd64.deb Input, audio output and post plugins for libxine2
libxine2-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for commonly-used plugins
libxine2-vdr_1.2.9-1+b2_amd64.deb VDR-related plugins for libxine2
libxine2-x_1.2.9-1+b2_amd64.deb X desktop video output plugins for libxine2
libxine2-xvdr_2.1.0-1+b1_amd64.deb Xine input plugin for vdr-plugin-xineliboutput streams
libxine2_1.2.9-1+b2_amd64.deb xine media player library – metapackage
Advertisement
Advertisement